import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const DetailsDownIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'DetailsDown'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M17.028 8H6.972c-.767 0-1.233.686-.815 1.214l5.028 6.42c.378.488 1.252.488 1.64 0l5.018-6.42C18.261 8.686 17.795 8 17.028 8z'}
      fill={color}
    />
  </Svg>
);
