import React, { FC } from 'react';
import { Text, View } from 'react-native';
import { ListItemButtonModel } from '../../listItemModels';
import { styles } from './styles';
import { TouchableOpacityButtonWrapper } from '../../../../atoms';

export const DoubleIconTextButton: FC<ListItemButtonModel> = ({
  text,
  disabled,
  LeftIcon,
  RightIcon,
  onClick,
}) => {
  return (
    <TouchableOpacityButtonWrapper
      disabled={disabled}
      onClick={onClick}
      style={[styles.listItemButton, disabled && styles.listItemButtonDisabled]}
    >
      <View style={styles.listItemButtonContentContainer}>
        <View style={styles.listItemButtonLeftContainer}>
          {LeftIcon &&
            <LeftIcon
              color={disabled ? styles.listItemButtonIconDisabled.color : styles.listItemButtonIcon.color}
              width={24}
              height={24}
            />
          }
          <View style={styles.listItemButtonTextContainer}>
            <Text
              style={[styles.listItemButtonText, disabled && styles.listItemButtonTextDisabled]}
              numberOfLines={1}
            >
              {text}
            </Text>
          </View>
        </View>
        {RightIcon &&
          <RightIcon
            color={disabled ? styles.listItemButtonIconDisabled.color : styles.listItemButtonIcon.color}
            width={24}
            height={24}
          />
        }
      </View>
    </TouchableOpacityButtonWrapper>
  );
};
