import React, { FC } from 'react';
import { View } from 'react-native';
import { styles } from './styles';
import { AtomIcon, Body2MediumText, LabelSemiBoldText, TouchableOpacityButtonWrapper } from '../../../../atoms';
import { InfoListItemButtonModel } from '../../listItemModels';

export const IconTitleDescriptionButton: FC<InfoListItemButtonModel> = ({
  text,
  description,
  Icon= AtomIcon,
  onClick,
  disabled= false,
}) => {

  return (
    <TouchableOpacityButtonWrapper
      onClick={onClick}
      style={[styles.iconTitleDescriptionButton, disabled && styles.iconTitleDescriptionButton.disabled]}
      disabled={disabled}
    >
      <View style={styles.iconTitleDescriptionButtonIconContainer}>
        <Icon width={32} height={32} color={styles.iconTitleDescriptionButtonIconColor.color} />
      </View>
      <View style={styles.iconTitleDescriptionButtonTextContainer}>
        <LabelSemiBoldText
          numberOfLines={1}
          color={
            disabled
              ? styles.iconTitleDescriptionButtonTextTitleColor.disabled.color
              : styles.iconTitleDescriptionButtonTextTitleColor.color}
        >
          {text}
        </LabelSemiBoldText>
        <Body2MediumText
          numberOfLines={1}
          color={
            disabled
              ? styles.iconTitleDescriptionButtonTextDescriptionColor.disabled.color
              : styles.iconTitleDescriptionButtonTextDescriptionColor.color}
        >
          {description}
        </Body2MediumText>
      </View>
    </TouchableOpacityButtonWrapper>
  );
};
