import React, { FC } from 'react';
import { Image, View } from 'react-native';
import { styles } from './styles';
import { Body2RegularText, LabelSemiBoldText, TouchableOpacityButtonWrapper } from '../../../../atoms';
import { ImageItemButtonModel } from '../../listItemModels';

export const ImageTextDescriptionArticle: FC<ImageItemButtonModel> = ({
  text,
  description,
  imageURL,
  onClick,
  disabled,
}) => {
  return (
    <TouchableOpacityButtonWrapper
      style={[styles.imageTextDescriptionArticle, disabled && styles.imageTextDescriptionArticleDisabled]}
      onClick={onClick}
      disabled={disabled}
    >
      <View>
        {!!imageURL &&
          <Image
            style={[
              styles.imageTextDescriptionArticleImageContainer,
              disabled && styles.imageTextDescriptionArticleDisabled.image,
            ]}
            source={{ uri: imageURL }}
          />}
        {!imageURL &&
          <View
            style={[
              styles.imageTextDescriptionArticleImageContainer,
              disabled && styles.imageTextDescriptionArticleDisabled.image,
            ]}
          />}
        <View style={styles.imageTextDescriptionArticleTextContainer}>
          <LabelSemiBoldText
            numberOfLines={1}
            color={
              disabled
                ? styles.imageTextDescriptionArticleDisabled.color
                : styles.imageTextDescriptionArticleTextContainer.text.color
            }
          >
            {text}
          </LabelSemiBoldText>
          <Body2RegularText numberOfLines={1} color={styles.imageTextDescriptionArticleTextContainer.description.color}>
            {description}
          </Body2RegularText>
        </View>
      </View>
    </TouchableOpacityButtonWrapper>
  );
};
