import React, { FC } from 'react';
import { View } from 'react-native';
import { ReturnTitleDescriptionTopBarModel } from '../../topBarModels';
import { styles } from '../../styles';
import { ArrowLeftIcon, SecondaryExtraLargeIconFlatButton } from '../../../../atoms';

export const ReturnTitleDescriptionLoadingTopBar: FC<ReturnTitleDescriptionTopBarModel> = ({
  onReturnClick,
  backgroundColor= styles.topBar.backgroundColor,
}) => {
  return (
    <>
      <View style={[styles.topBar, { backgroundColor }]}>
        <View style={styles.topBarLeftContainer}>
          <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
        </View>
      </View>
      <View style={[styles.topBarTitleDescriptionContainer, { backgroundColor }]}>
        <View style={styles.topBarTitleSkeleton} />
        <View style={styles.topBarDescriptionSkeleton} />
      </View>
    </>
  );
};
