import { DateCategory } from '../../../utils/models';
import type { DateNumberOfTheMonth, 
  MonthNumber, 
  DayNumberOfTheWeek,
  DateNumberMonthNumberAndYear,
  MonthNumberAndYear } from '../../../utils/models';
import { PressControlOptions } from './components/calendarControls/calendarControlsModel';

export type {
  DateNumberMonthNumberAndYear,
  MonthNumberAndYear,
  DateNumberOfTheMonth,
  DayNumberOfTheWeek,
  MonthNumber,
};

export { DateCategory, PressControlOptions };

export interface DayOfTheWeekData {
  dayName: string,
  key: string;
}

export interface DateOfTheMonthData {
  dateNumber: DateNumberOfTheMonth;
  dateCategories: DateCategory[];
  key: string;
}

export interface DatesNumberMonthNumberAndYear extends MonthNumberAndYear {
  datesNumber: DateNumberOfTheMonth[];
}

export interface DateCategories {
  startingDate?: DateNumberMonthNumberAndYear;
  endingDate?: DateNumberMonthNumberAndYear;
  disabledDaysOfTheWeek?: DayNumberOfTheWeek[];
  disabledDatesNumberOfTheMonth?: DatesNumberMonthNumberAndYear[];
  specialDatesOfTheMonth?: DatesNumberMonthNumberAndYear[];
}

export interface CalendarProps extends DateCategories {
  defaultMonthNumberAndYear?: MonthNumberAndYear;
  selectedDate?: DateNumberMonthNumberAndYear | null;
  onDateClick?: (date: DateNumberMonthNumberAndYear) => void;
  onMonthNumberAndYearNavigate?: (monthNumber: MonthNumber, year: number) => void;
}

export type HandleOnGoToDate = (params: {
  selectedMonthNumber: MonthNumber;
  selectedYear: number;
  pressControlOption: PressControlOptions;
}) => void;

export type HandleOnSelectedDate = (dateNumber: DateNumberOfTheMonth) => void;
