import React, { FC } from 'react';
import { ScaleDecorator } from 'react-native-draggable-flatlist';
import { TouchableOpacity } from 'react-native';
import { DraggableItemWrapperModel } from './draggableItemWrapperModels';
import { styles } from './styles';

export const DraggableItemWrapper: FC<DraggableItemWrapperModel> = ({
  Component,
  drag,
  isActive,
  item,
}) => {
  return (
    <ScaleDecorator>
      <TouchableOpacity
        onLongPress={drag}
        disabled={isActive}
        style={[styles.draggableItemWrapper, isActive && { opacity: 0.5 }]}
      >
        <Component {...item} />
      </TouchableOpacity>
    </ScaleDecorator>
  );

};
