import React, { FC, useEffect, useState } from 'react';
import { NestableScrollContainer, NestableDraggableFlatList } from 'react-native-draggable-flatlist';
import { DndListModel } from './dndListModels';
import { ListItemValueModel } from '../listItems/listItemsModels';
import { DraggableItemWrapper } from './draggableItemWrapper';

/** Button ListItems not works**/

export const DndList: FC<DndListModel> = ({
  list,
  onSortList,
  Component,
  onDragBegin,
  onDragEnd,
}) => {
  const [listData, setListData] = useState<ListItemValueModel[]>(list);

  useEffect(() => {
    listData && onSortList(listData);
  }, [listData]);

  const renderItem = ({ item, drag, isActive }: any) => {
    return (
      <DraggableItemWrapper Component={Component} item={item} drag={drag} isActive={isActive} />
    );
  };

  return (
    <NestableScrollContainer>
      {listData &&
          <NestableDraggableFlatList
            renderItem={renderItem}
            data={listData}
            onDragBegin={onDragBegin}
            onDragEnd={({ data }) => {
              onDragEnd && onDragEnd();
              setListData(data);
            }}
            keyExtractor={(item) => item.id}
          />
      }
    </NestableScrollContainer>
  );
};
