import { DayNumberOfTheWeek, MonthNumber } from './calendarModel';

type DayIndexOfTheWeek = 0 | 1 | 2 | 3 | 4 | 5 | 6;
type MonthIndex = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11;

type GetFirstDateOfMonthInDayWeek = (year: number, month: MonthNumber) => DayNumberOfTheWeek;

export const getFirstDateOfMonthInDayWeek: GetFirstDateOfMonthInDayWeek = (year, month) => {
  const monthIndexNumber = month - 1 as MonthIndex;
  const dayIndexOfTheWeek = new Date(year, monthIndexNumber, 1).getUTCDay() as DayIndexOfTheWeek;
  return dayIndexOfTheWeek + 1 as DayNumberOfTheWeek;
};
