import { DateNumberMonthNumberAndYear } from './calendarModel';

type GetIsNextDate = (
  testNextDate: DateNumberMonthNumberAndYear,
  referenceDate: DateNumberMonthNumberAndYear
) => boolean;

export const getIsNextDate: GetIsNextDate = (testNextDate, referenceDate) => {
  const previous = new Date(Date.UTC(referenceDate.year, referenceDate.monthNumber - 1, referenceDate.dateNumber));
  const next = new Date(Date.UTC(testNextDate.year, testNextDate.monthNumber - 1, testNextDate.dateNumber));

  return previous < next;
};
