import { MonthNumber } from './calendarModel';

type CapitalizeFirstLetter = (month: string) => string

const capitalizeFirstLetter: CapitalizeFirstLetter = (month: string) => {
  return month.charAt(0).toUpperCase() + month.slice(1);
};

type GetNameOfMonth = (month?: MonthNumber) => string;

export const getNameOfMonth: GetNameOfMonth = (month) => {
  const date = month ? new Date(Date.UTC(2022, month - 1)) : new Date();
  return capitalizeFirstLetter(
    date.toLocaleDateString('default', { month: 'long' }),
  );
};
